Package: lttoolbox, apertium, cg3, hfst and hfst-ospell
Closed, ResolvedPublic

Description

Upstream has released new set of Apertium base packages with improvements of work over 6 months. Update it in Debian and WMF repositories.

Packaging:

  • lttoolbox
    • Debian
    • WMF
  • apertium
    • Debian
    • WMF
  • cg3
    • Debian
    • WMF
  • hfst
    • Debian
    • WMF
  • hfst-ospell
    • Debian
    • WMF

Deployment:

  • Deploy in Labs/Beta
  • Deployment in Production
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2018, 4:04 AM
KartikMistry triaged this task as Normal priority.
KartikMistry updated the task description. (Show Details)

Change 465932 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: New upstream release

https://gerrit.wikimedia.org/r/465932

KartikMistry renamed this task from Package: lttoolbox, cg3, hfst, hfst-ospell to Package: lttoolbox, apertium, cg3, hfst and hfst-ospell.Oct 15 2018, 3:46 AM
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)Oct 15 2018, 1:09 PM

Change 467556 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/hfst@master] hfst: New upstream release

https://gerrit.wikimedia.org/r/467556

Change 467573 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/cg3@master] cg3: New upstream release

https://gerrit.wikimedia.org/r/467573

Change 467637 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/hfst-ospell@master] hfst-ospell: New upstream release

https://gerrit.wikimedia.org/r/467637

Change 467693 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium@master] apertium: New upstream release

https://gerrit.wikimedia.org/r/467693

Currently no package depends on hfst-ospell, so it is optional, but I'll update after further checking.

Change 465932 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: New upstream release

https://gerrit.wikimedia.org/r/465932

Mentioned in SAL (#wikimedia-operations) [2018-11-07T11:49:41Z] <akosiaris> T206439 upload lttoolbox_3.5.0-1+wmf1

Mentioned in SAL (#wikimedia-operations) [2018-11-07T11:49:53Z] <akosiaris> T206439 upload lttoolbox_3.5.0-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Change 467556 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/hfst@master] hfst: New upstream release

https://gerrit.wikimedia.org/r/467556

Mentioned in SAL (#wikimedia-operations) [2018-11-07T12:12:34Z] <akosiaris> T206439 upload hfst_3.15.0-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Change 467573 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/cg3@master] cg3: New upstream release

https://gerrit.wikimedia.org/r/467573

Mentioned in SAL (#wikimedia-operations) [2018-11-07T12:27:33Z] <akosiaris> T206439 upload cg3_1.1.7-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Change 467637 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/hfst-ospell@master] hfst-ospell: New upstream release

https://gerrit.wikimedia.org/r/467637

Mentioned in SAL (#wikimedia-operations) [2018-11-07T12:35:35Z] <akosiaris> T206439 upload hfst-ospell_0.5.0-1+wmf1to apt.wikimedia.org/jessie-wikimedia/main

Change 467693 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium@master] apertium: New upstream release

https://gerrit.wikimedia.org/r/467693

Mentioned in SAL (#wikimedia-operations) [2018-11-07T14:07:20Z] <akosiaris> T206439 upload apertium_3.5.2-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-11-07T14:16:43Z] <akosiaris> T206439 upload apertium-separable_0.3.2-1+wmf1 apertium-lex-tools_0.2.1-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-11-07T14:32:29Z] <akosiaris> T206439 upload apertium-cat_2.6.0-1+wmf1 apertium-fra-cat_1.5.0-1+wmf1 apertium-fra_1.5.0-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-11-07T15:15:43Z] <akosiaris> T206439 pool upgraded scb1001 to apertium.svc.eqiad.wmnet as a form of canary

Mentioned in SAL (#wikimedia-operations) [2018-11-07T15:21:31Z] <akosiaris> T206439 direct 30% of the apertium.svc.eqiad.wmnet traffic to scb1001. Will increase tomorrow to 50%

Mentioned in SAL (#wikimedia-operations) [2018-11-09T11:43:30Z] <akosiaris> set previous normal wait for scb1001 for apertium service T206439

KartikMistry updated the task description. (Show Details)Mon, Nov 19, 8:16 AM
KartikMistry closed this task as Resolved.Mon, Nov 19, 8:18 AM
KartikMistry updated the task description. (Show Details)